Page MenuHomeVyOS Platform

Convert "interfaces tunnel" to new XML/Python representation
Closed, ResolvedPublicFEATURE REQUEST

Description

Add support for GRE tunnelling to the vyos-1x repository

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

This comment was removed by thomas-mangin.
runar added a subscriber: runar.Feb 12 2020, 1:00 PM

as discussed on slack, GRE is already supported: https://docs.vyos.io/en/latest/vpn/gre-ipsec.html , closing as invalid

runar closed this task as Invalid.Feb 12 2020, 1:00 PM
thomas-mangin added a comment.EditedFeb 12 2020, 1:25 PM
> egrep -ri '[^ag]gre[^apens]' .
./data/templates/rsyslog/rsyslog.conf:$RepeatedMsgReduction on
./src/op_mode/maya_date.py:        August 11, 3114 BC gregorian date. In this case UNIX epoch

I need to add VRF support to GRE and GRE is not in the vyos-1x tree. After discussion with @runborg, I will add a GRE interface matching the GENEVE approach.

thomas-mangin renamed this task from GRE Tunneling support to Convert GRE Tunnelling to new XML/Python representation.Feb 12 2020, 2:36 PM
thomas-mangin updated the task description. (Show Details)
thomas-mangin renamed this task from Convert GRE Tunnelling to new XML/Python representation to Convert "interface tunnel" to new XML/Python representation.EditedFeb 14 2020, 8:11 PM

initial patch released calling for a review / comments ( PR from github.com/thomas-mangin/vyos-1x T2028 branch) - show command not migrated yet.

thomas-mangin renamed this task from Convert "interface tunnel" to new XML/Python representation to Convert "interfaces tunnel" to new XML/Python representation.Feb 14 2020, 8:20 PM
c-po reopened this task as In progress.Feb 14 2020, 10:43 PM
c-po changed the task status from In progress to Needs testing.Mar 28 2020, 8:01 PM
c-po assigned this task to thomas-mangin.
pasik added a subscriber: pasik.Mar 30 2020, 7:08 AM
thomas-mangin closed this task as Resolved.Apr 4 2020, 3:20 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Apr 5 2020, 12:36 PM